%global	gem_name	vte3
%global	glib_min_ver	3.0.5

Summary:	Ruby binding of VTE
Name:		rubygem-%{gem_name}
Version:	3.0.5
Release:	2%{?dist}

Group:		Development/Languages
License:	LGPLv2+
URL:		http://ruby-gnome2.sourceforge.jp/
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
# https://raw.github.com/ruby-gnome2/ruby-gnome2/master/vte3/COPYING.LIB
# Renamed to avoid overwrite on SOURCE dir
Source1:	COPYING.LIB.vte3
# Patches
Patch11:	rubygem-vte3-3.0.5-0011-vte3-test-omit-a-test-for-old-VTE.patch
Patch12:	rubygem-vte3-3.0.5-0012-vte3-test-omit-a-test-for-old-VTE.patch
Patch13:	rubygem-vte3-3.0.5-0013-vte3-test-remove-tests-for-old-VTE.patch
Patch14:	rubygem-vte3-3.0.5-0014-vte3-test-remove-tests-for-old-VTE.patch
Patch15:	rubygem-vte3-3.0.5-0015-vte3-Vte-TerminalEraseBinding-is-renamed-to-Vte-Eras.patch
Patch16:	rubygem-vte3-3.0.5-0016-vte3-Vte-TerminalCursorShape-is-renamed-to-Vte-Curso.patch
Patch17:	rubygem-vte3-3.0.5-0017-vte3-Vte-TerminalCursorBlinkMode-is-renamed-to-Vte-C.patch
Patch18:	rubygem-vte3-3.0.5-0018-vte3-Vte-TerminalEraseBinding-is-renamed-to-Vte-Eras.patch
Patch19:	rubygem-vte3-3.0.5-0019-vte3-test-remove-tests-for-old-VTE.patch
Patch20:	rubygem-vte3-3.0.5-0020-vte3-test-remove-a-test-for-old-VTE.patch
Patch21:	rubygem-vte3-3.0.5-0021-vte3-test-ensure-closing-pty.patch
Patch22:	rubygem-vte3-3.0.5-0022-vte3-test-ensure-waiting-child-process-exit.patch
Patch23:	rubygem-vte3-3.0.5-0023-vte3-test-ensure-reset-size.patch
Patch26:	rubygem-vte3-3.0.5-0026-vte3-remove-needless-code.patch
Patch27:	rubygem-vte3-3.0.5-0027-vte3-fix-wrong-definition-location.patch
Patch28:	rubygem-vte3-3.0.5-0028-vte3-use-double-quote-for-string-literal.patch
Patch30:	rubygem-vte3-3.0.5-0030-vte3-test-use-spawn-instead-of-fork_command.patch
Patch31:	rubygem-vte3-3.0.5-0031-Revert-vte3-test-ensure-closing-pty.patch

BuildRequires:	vte3-devel
BuildRequires:	ruby-devel
BuildRequires:	rubygems-devel
BuildRequires:	rubygem-pango-devel
BuildRequires:	rubygem-gtk3-devel
BuildRequires:	rubygem-glib2-devel >= %{glib_min_ver}
BuildRequires:	rubygem(test-unit)
BuildRequires:	%{_bindir}/xvfb-run

Obsoletes:		rubygem-vte3-devel < 2.99
Provides:		rubygem-vte3-devel = 2.99

BuildArch:		noarch

%description
Ruby/VTE3 is a Ruby binding of VTE .

%package	devel
Summary:	Ruby/VTE3 development environment
Group:		Development/Languages
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the
rubygem-%{gem_name} .

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name} .

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

# patches
%patch11 -p2
%patch12 -p2
%patch13 -p2
%patch14 -p2
%patch15 -p2
%patch16 -p2
%patch17 -p2
%patch18 -p2
%patch19 -p2
%patch20 -p2
%patch21 -p2
%patch22 -p2
%patch23 -p2
%patch26 -p2
%patch27 -p2
%patch28 -p2
%patch30 -p2
%patch31 -p2

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Relax the version dependency
sed -i -e 's|= 3\.0\.5|>= 3.0.5|' %{gem_name}.gemspec

# Add license text
install -cpm 644 %{SOURCE1} ./COPYING.LIB
sed -i -e '/files =/s|\("Rakefile",\)|\1 "COPYING.LIB", |' \
	%{gem_name}.gemspec

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags} -Werror-implicit-function-declaration'"
export CONFIGURE_ARGS="$CONFIGURE_ARGS --with-pkg-config-dir=$(pwd)%{_libdir}/pkgconfig"
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/


pushd %{buildroot}
rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}
popd

# Cleanups
pushd %{buildroot}
rm -rf \
	.%{gem_instdir}/Rakefile \
	.%{gem_instdir}/extconf.rb \
	.%{gem_instdir}/ext/
popd

%check
pushd .%{gem_instdir}
xvfb-run -s "-screen 0 640x480x24" \
	ruby -Ilib:tmp:test ./test/run-test.rb
popd

%files
%dir	%{gem_instdir}/
%license	%{gem_instdir}/COPYING.LIB
%dir	%{gem_instdir}/lib/
%{gem_instdir}/lib/%{gem_name}.rb
%dir	%{gem_instdir}/lib/%{gem_name}/
%{gem_instdir}/lib/%{gem_name}/*.rb

%exclude %{gem_cache}
%{gem_spec}

%files	doc
%doc	%{gem_docdir}/
%exclude	%{gem_instdir}/test

%changelog
* Wed Sep 23 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.5-2
- Patches from the upstream git

* Wed Sep 23 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.5-1
- 3.0.5

* Tue Sep 22 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.4-1
- 3.0.4

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.2.5-1
- 2.2.5

* Fri Jan 16 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.2.4-3
- F-22: Rebuild for ruby 2.2

* Fri Jan 02 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.2.4-2
- Some cleanups

* Tue Dec 30 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.2.4-1
- Initial package
